com.lowagie.text.rtf.document

## Class RtfCodePage

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.document.RtfCodePage

All Implemented Interfaces:
  RtfBasicElement, RtfExtendedElement, RtfElementInterface

    public class RtfCodePage
    extends RtfElement
    implements RtfExtendedElement

The RtfCodePage class allows different code pages to be used in the rtf document. Currently always ansi / ansicpg1252

Version:
  $Id:RtfCodePage.java 3126 2008-02-07 20:30:46Z hallm $
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Thomas Bickel (tmb99@inode.at)

### Field Summary

Fields
`private static byte[]` `ANSI` Constant for ansi encoded rtf documents
`private static byte[]` `ANSI_CODEPAGE` Constant for the ansi codepage

### Fields inherited from class com.lowagie.text.rtf.RtfElement

`document, inHeader, inTable`

### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

### Constructor Summary

Constructors
Constructor and Description
`RtfCodePage(RtfDocument doc)` Construct an RtfCodePage

### Method Summary

Methods
`void` `writeContent(java.io.OutputStream out)` unused
`void` `writeDefinition(java.io.OutputStream result)` Writes the selected codepage

### Methods inherited from class com.lowagie.text.rtf.RtfElement

`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

`setInHeader, setInTable, setRtfDocument`

### Field Detail

#### ANSI

    private static final byte[] ANSI

Constant for ansi encoded rtf documents

#### ANSI_CODEPAGE

    private static final byte[] ANSI_CODEPAGE

Constant for the ansi codepage

### Constructor Detail

#### RtfCodePage

    public RtfCodePage(RtfDocument doc)

Construct an RtfCodePage

Parameters:
  `doc` - The RtfDocument this RtfCodePage belongs to

### Method Detail

#### writeContent

    public void writeContent(java.io.OutputStream out)
                      throws java.io.IOException

unused

Specified by:
  `writeContent` in interface `RtfBasicElement`
Specified by:
  `writeContent` in class `RtfElement`
Parameters:
  `out` - The `OutputStream` to write the content to
Throws:
  `java.io.IOException`

#### writeDefinition

    public void writeDefinition(java.io.OutputStream result)
                         throws java.io.IOException

Writes the selected codepage

Specified by:
  `writeDefinition` in interface `RtfExtendedElement`
Parameters:
  `result` - The `OutputStream` to write the element definition to
Throws:
  `java.io.IOException`